%bcond_with gconf

Summary:   A Mozilla browser plug-in to handle media on websites, using gnome-mplayer
Name:      gecko-mediaplayer
Version:   1.0.4
Release:   45%{?dist}
License:   GPLv2+
Group:     Applications/Multimedia
URL:       http://kdekorte.googlepages.com/gecko-mediaplayer
Source0:   http://gecko-mediaplayer.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++, pkgconfig >= 0.9.0, gettext
BuildRequires: dbus-glib-devel >= 0.70
BuildRequires: gecko-devel
%{?with_gconf:BuildRequires: GConf2-devel}
BuildRequires: libX11-devel
Requires: gnome-mplayer
Requires: %{_libdir}/mozilla
%if %{with gconf}
Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2
%endif
Obsoletes: mplayerplug-in < 3.50
Provides:  mplayerplug-in = 3.50

%description
Gecko Media Player is a browser plugin that uses GNOME MPlayer to play
media in a browser.

%prep
%setup -q

%build
%configure %{?with_gconf:--with-gconf}
make

%install
rm -rf %{buildroot}
%{?with_gconf:export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1}
make install DESTDIR=%{buildroot} \
  gecko_mediaplayerdocdir=%{_defaultdocdir}/%{name}-%{version}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %{with gconf}
%preun
if [ "$1" -eq 0 ] ; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
  killall -HUP gconfd-2 > /dev/null || :
fi
%endif

%if %{with gconf}
%pre
if [ "$1" -gt 1 ] ; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
  killall -HUP gconfd-2 > /dev/null || :
fi
%endif

%postun
update-desktop-database &> /dev/null || :

%post
update-desktop-database &> /dev/null || :
%if %{with gconf}
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 > /dev/null || :
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog DOCS/tech/*.txt
%{_libdir}/mozilla/plugins/*
%{?with_gconf:%config(noreplace) %{_sysconfdir}/gconf/schemas/gecko-mediaplayer.schemas}

%changelog
* Sat Aug 13 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.4-45
- Update to 1.0.4.

* Wed Jun  8 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.3-43
- Update to 1.0.3.

* Tue Nov 30 2010 Paulo Roma <roma@lcg.ufrj.br> - 1.0.0-41
- Update to 1.0.0
- Removed BR glib2-devel and dbus-devel (req by dbus-glib-devel).
- Set %%config(noreplace) to gecko-mediaplayer.schemas
- Versioned Provides and Obsoletes.

* Sat Mar 20 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.9.2-40
- Update to 0.9.9.2.

* Tue Nov 17 2009 Paulo Roma <roma@lcg.ufrj.br> - 0.9.8-39
- Applied gcc4.patch

* Sat Nov 14 2009 Paulo Roma <roma@lcg.ufrj.br> - 0.9.8-38
- Update to 0.9.8
- Removed empty files from docs.
- Fixed macro-in-%%changelog warning.
- Fixed typo in %%clean ($ for %%).

* Fri Sep  4 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.8-37_r323
- Update to 0.9.7 plus svn fixes up to pending 0.9.8.

* Mon Nov 17 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.0-36
- gecko-mediaplayer package.

* Sat Aug  9 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.55-35
- Update to 3.55.

* Sun Jun 15 2008 Paulo Roma <roma@lcg.ufrj.br> - 3.50-34
- Patched for building on Fedora 9.
- Replaced BR firefox-devel for gecko-devel.

* Sat Dec 29 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.50-33
- Update to 3.50.

* Wed Oct 24 2007 Paulo Roma <roma@lcg.ufrj.br> - 3.45-32
- Update to 3.45.
- Version 1.0pre7 or higher of mplayer is required, 
  mplayer CVS recommended.

* Mon Mar 26 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.40-31
- Update to 3.40.

* Sat Sep 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.31-29
- Update to 3.31.

* Sat Apr 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.25.

* Thu Feb 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.21.

* Thu Dec  8 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.17.

* Fri Dec  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.16.

* Sat Nov  5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.15.

* Sat Sep 17 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.11.

* Sat Aug  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.05.

* Tue Feb 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.80.

* Fri Dec 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.75.

* Tue Sep 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.70.

* Mon Jun 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.66.

* Sat Jun 19 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.65.

* Thu Apr 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.60.

* Wed Mar  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.45.

* Fri Feb 27 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.40.

* Wed Feb 25 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.11.

* Thu Jan 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.

* Sun Dec 14 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.

* Wed Nov 26 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0pre2.

* Tue Oct  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.95.

* Sat Sep 13 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.91.

* Thu Jun 19 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.80.

* Tue Apr 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.71.

* Tue Apr  8 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.70.

* Wed Mar 12 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.60.
- Added %%doc entries.
- Replaced $RPM_BUILD_ROOT with %%{buildroot}

* Fri Jan 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
